%global major   1
%define libname %mklibname pipeline %major
%define devname %mklibname pipeline -d

%global gnulib_ver 20140202

Summary: A pipeline manipulation library
Name: libpipeline
Version: 1.5.8
Release: %mkrel 2
License: GPLv3+
Group: System/Libraries
URL: https://libpipeline.nongnu.org/
Source: https://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.gz

BuildRequires: libtool
BuildRequires: pkgconfig(check)

# FPC exception for gnulib - copylib - https://fedorahosted.org/fpc/ticket/174
Provides: bundled(gnulib) = %{gnulib_ver}

%description
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %libname
Summary: Pipeline manipulation library
Group: System/Libraries

%description -n %libname
libpipeline is a C library for setting up and running pipelines of
processes, without needing to involve shell command-line parsing which is
often error-prone and insecure. This alleviates programmers of the need to
laboriously construct pipelines using lower-level primitives such as fork(2)
and execve(2).

%package -n %devname
Summary: Header files and libraries for pipeline manipulation library
Group: Development/C
Requires: %{libname} = %{version}-%{release}
Provides: pipeline-devel = %{version}-%{release}

%description -n %devname
libpipeline-devel contains the header files and libraries needed
to develop programs that use libpipeline library.

%prep
%setup -q

%build
%configure
%make_build

%check
make check

%install
%make_install

%files -n %libname
%license COPYING
%doc README.md ChangeLog
%{_libdir}/libpipeline.so.%{major}{,.*}

%files -n %devname
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_includedir}/*.h
%{_mandir}/man3/*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.5.8-2.mga10
+ Revision: 2230556
- Mageia 10 Mass Rebuild

* Sun Dec 01 2024 daviddavid <daviddavid> 1.5.8-1.mga10
+ Revision: 2120311
- new version: 1.5.8

* Tue Nov 22 2022 tv <tv> 1.5.7-1.mga9
+ Revision: 1910106
- Rebase to version 1.5.7

* Mon Apr 25 2022 tv <tv> 1.5.6-1.mga9
+ Revision: 1853165
- Update to 1.5.6

* Sat Apr 02 2022 umeabot <umeabot> 1.5.5-2.mga9
+ Revision: 1840520
- Mageia 9 Mass Rebuild

* Tue Jan 04 2022 tv <tv> 1.5.5-1.mga9
+ Revision: 1766813
- Update to 1.5.5

* Mon Nov 08 2021 tv <tv> 1.5.4-1.mga9
+ Revision: 1754715
- update to 1.5.4

* Sun Sep 20 2020 tv <tv> 1.5.3-1.mga8
+ Revision: 1628895
- 1.5.3

* Mon Mar 02 2020 tv <tv> 1.5.2-1.mga8
+ Revision: 1553107
- 1.5.2

* Sat Feb 15 2020 umeabot <umeabot> 1.5.1-2.mga8
+ Revision: 1527675
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jul 23 2019 tv <tv> 1.5.1-1.mga8
+ Revision: 1423533
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.5.0-2.mga7
+ Revision: 1299092
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 tv <tv> 1.5.0-1.mga7
+ Revision: 1215261
- new release

* Mon Jul 17 2017 tv <tv> 1.4.2-1.mga7
+ Revision: 1124117
- new release

* Mon Feb 15 2016 umeabot <umeabot> 1.4.1-2.mga6
+ Revision: 961190
- Mageia 6 Mass Rebuild

* Sun Nov 01 2015 tv <tv> 1.4.1-1.mga6
+ Revision: 897016
- imported package libpipeline


* Sat Oct 31 2015 Thierry Vignaud <tv@mageia.org> 1.4.1-1.mga6
- import from FC
